Issue 45006 - Improve performance by reducing exported symbols of SVL and SVT dynamic libraries
Improve performance by reducing exported symbols of SVL and SVT dynamic libra...
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
680m80
All All
: P2 trivial (vote)
: OOo 2.0
Assigned To: Joost Andrae
issues@framework
:
Depends on: 47146 47434 47753 47935 48107 48923 50173 50415
Blocks: 20269
  Show dependency treegraph
 
Reported: 2005-03-14 15:13 UTC by matthias.huetsch
Modified: 2005-04-19 13:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description matthias.huetsch 2005-03-14 15:13:16 UTC
SVL and SVT are used by soffice.bin (and many shared libraries), and processing
unneeded exported symbols for these libraries contribute directly to the startup
time of soffice.bin.

SVL and SVT should export only the symbols that make up their public API (and are
needed by others). Also, code that does not need to be in SVT / SVL (e.g. the
Office File / Folder Picker UNO service) should be moved elsewhere such that it
can be loaded on demand.
Comment 1 matthias.huetsch 2005-03-14 15:15:13 UTC
Added dependency to issue 20269 (startup performance); accepting...
Comment 2 matthias.huetsch 2005-04-05 16:56:36 UTC
Now, module svtools (libraries svl, svt, ...) does export a restricted set of
symbols, only => fixed.

Comment 3 matthias.huetsch 2005-04-11 12:44:38 UTC
Hi Joost,
please verify.

Thanks,
Matthias


re-open issue and reassign to ja@openoffice.org
Comment 4 matthias.huetsch 2005-04-11 12:44:46 UTC
reassign to ja@openoffice.org
Comment 5 matthias.huetsch 2005-04-11 12:44:49 UTC
reset resolution to FIXED
Comment 6 Joost Andrae 2005-04-12 10:18:47 UTC
JA: verified in cws visibility03 ( by using 'nm -D lib_name_680li.so |grep " U
"|wc -l')
Comment 7 matthias.huetsch 2005-04-19 13:54:48 UTC
Integrated into milestone SRC680_m94 => closing...